Summary:	A small utility for safely making /tmp files.
Summary(ja):	安全に /tmp 以下にファイルを作成するユーティリティ
Name:		mktemp
Version:	1.5
Release:	11vl3
License:	BSD
Group:		System Environment/Base
URL:		http://www.mktemp.org/
Source:		ftp://ftp.mktemp.org/pub/mktemp/mktemp-%{version}.tar.gz
Patch:		mktemp-1.5-Makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The mktemp utility takes a given file name template and overwrites a
portion of it to create a unique file name.  This allows shell scripts
and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%description -l ja
mktemp ユーティリティは，引数で与えたファイル名テンプレートを元に
一意なファイル名を生成します．これによりシェルスクリプト等のプログラムが
/tmp 以下に安全にファイルを作成することが出来ます．

シェルスクリプト等のプログラムから /tmp 以下に安全にファイルを
作成したい場合は mktemp パッケージをインストールして下さい．

%prep
%setup -q
%patch0 -p1 -b .Makefile

%build
%configure
%__make

%install
%__rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_sysbindir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README RELEASE_NOTES
%{_sysbindir}/mktemp
%{_mandir}/man1/mktemp.*

%changelog
* Tue Jan 31 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.5-11vl3
- use mktemp.org's mktemp-1.5
  - update URL
  - add Makefile.patch (patch0) to fix permission mode
- drop obsolete patches
- add documents

* Wed Dec 12 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5-11vl2
- rebuild with new toolchains
- s/Copyright/License/

* Wed Dec 12 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org>
- synced up with 1.5-11 from Rawhide, but exactly the same as 1.5-9vl1
  (see the changelog below, as Thank Ngo mentioned about sagami-san's patch)

* Tue May  8 2001 Than Ngo <than@redhat.com>
- fix typo in mkdtemp, thanks to sagami@mbc.nifty.com (bug #39713)

* Mon May  7 2001 Than Ngo <than@redhat.com>
- fix manpage (bug #39392)
- cleanup specfile

* Mon Apr  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rework locally-supplied mkdtemp() to handle EEXIST better

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- -d option is now supported, remove manpage patch (#25969)

* Thu Dec 14 2000 Helge Deller <deller@gmx.de>
- rewrite mkdtemp() from glibc2.2 for usage under glibc2.1

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-enable the -d option, because glibc provides a mkdtemp() function now
  (except for ia64)

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- FHS packaging
- fixed non root build

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- sync'd man page with openbsd latest, and updated it for some Linux-specific
  changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- moved to /bin

